part of 'generated.dart';

class CreateMemberTaskVariablesBuilder {
  String teamMemberId;
  String taskId;

  final FirebaseDataConnect _dataConnect;
  CreateMemberTaskVariablesBuilder(this._dataConnect, {required  this.teamMemberId,required  this.taskId,});
  Deserializer<CreateMemberTaskData> dataDeserializer = (dynamic json)  => CreateMemberTaskData.fromJson(jsonDecode(json));
  Serializer<CreateMemberTaskVariables> varsSerializer = (CreateMemberTaskVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<CreateMemberTaskData, CreateMemberTaskVariables>> execute() {
    return ref().execute();
  }

  MutationRef<CreateMemberTaskData, CreateMemberTaskVariables> ref() {
    CreateMemberTaskVariables vars= CreateMemberTaskVariables(teamMemberId: teamMemberId,taskId: taskId,);
    return _dataConnect.mutation("createMemberTask", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class CreateMemberTaskMemberTaskInsert {
  final String teamMemberId;
  final String taskId;
  CreateMemberTaskMemberTaskInsert.fromJson(dynamic json):
  
  teamMemberId = nativeFromJson<String>(json['teamMemberId']),
  taskId = nativeFromJson<String>(json['taskId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final CreateMemberTaskMemberTaskInsert otherTyped = other as CreateMemberTaskMemberTaskInsert;
    return teamMemberId == otherTyped.teamMemberId && 
    taskId == otherTyped.taskId;
    
  }
  @override
  int get hashCode => Object.hashAll([teamMemberId.hashCode, taskId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMemberId'] = nativeToJson<String>(teamMemberId);
    json['taskId'] = nativeToJson<String>(taskId);
    return json;
  }

  CreateMemberTaskMemberTaskInsert({
    required this.teamMemberId,
    required this.taskId,
  });
}

@immutable
class CreateMemberTaskData {
  final CreateMemberTaskMemberTaskInsert memberTask_insert;
  CreateMemberTaskData.fromJson(dynamic json):
  
  memberTask_insert = CreateMemberTaskMemberTaskInsert.fromJson(json['memberTask_insert']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final CreateMemberTaskData otherTyped = other as CreateMemberTaskData;
    return memberTask_insert == otherTyped.memberTask_insert;
    
  }
  @override
  int get hashCode => memberTask_insert.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['memberTask_insert'] = memberTask_insert.toJson();
    return json;
  }

  CreateMemberTaskData({
    required this.memberTask_insert,
  });
}

@immutable
class CreateMemberTaskVariables {
  final String teamMemberId;
  final String taskId;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  CreateMemberTaskVariables.fromJson(Map<String, dynamic> json):
  
  teamMemberId = nativeFromJson<String>(json['teamMemberId']),
  taskId = nativeFromJson<String>(json['taskId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final CreateMemberTaskVariables otherTyped = other as CreateMemberTaskVariables;
    return teamMemberId == otherTyped.teamMemberId && 
    taskId == otherTyped.taskId;
    
  }
  @override
  int get hashCode => Object.hashAll([teamMemberId.hashCode, taskId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMemberId'] = nativeToJson<String>(teamMemberId);
    json['taskId'] = nativeToJson<String>(taskId);
    return json;
  }

  CreateMemberTaskVariables({
    required this.teamMemberId,
    required this.taskId,
  });
}

